Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 54)
@@ -1660,5 +1660,22 @@
                                                                                 new KeyValuePair<int,string>(0,"総務業務不可"),
                                                                                 new KeyValuePair<int,string>(1,"総務業務可能")};
         #endregion
+
+        #region 承認対象区分
+        /// <summary>
+        /// 承認対象区分
+        /// </summary>
+        public enum ApprovalDivision
+        {
+            /// <summary>
+            /// 工事対象承認
+            /// </summary>
+            ConstrApproval = 1,
+            /// <summary>
+            /// 担当者対象承認
+            /// </summary>
+            PerosonApproval,
+        }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 54)
@@ -1795,6 +1795,18 @@
                     wrk.BackColor = CommonDefine.s_clrError;
                 }
             }
+            else if (objCtrl.GetType().Equals(typeof(NumericUpDown)))
+            {
+                NumericUpDown wrk = (NumericUpDown)objCtrl;
+                if (bPara)
+                {
+                    wrk.BackColor = CommonDefine.s_clrNormal;
+                }
+                else
+                {
+                    wrk.BackColor = CommonDefine.s_clrError;
+                }
+            }
         }
 
         #endregion
Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 54)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 7;
+        public static int s_SystemVersion = 11;
 
         /// <summary>
         /// コピー・環境バージョン
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 54)
@@ -144,21 +144,22 @@
         /// <summary>
         /// 申請レコードを更新する(担当者承認)
         /// </summary>
-        /// <param name="ConstructionCode"></param>
+        /// <param name="PersonCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <param name="Status"></param>
         /// <returns></returns>
-        public static bool SetPrimaryRecStatus(int ConstructionCode, int ApprovalCode, DateTime OrderDate, int Status)
+        public static bool SetPrimaryRecStatus(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo, int Status)
         {
             IOPersonApproval ApprDB = new IOPersonApproval();
             try
             {
-                if (!ApprDB.UpdateFeild(ConstructionCode,
+                if (!ApprDB.UpdateFeild(PersonCode,
                                         ApprovalCode,
                                         OrderDate,
-                                        (int)IOProcessApproval.ColumnName.ApprovalStatus,
+                                        (int)IOPersonApproval.ColumnName.ApprovalStatus,
                                         Status,
                                         true,
+                                        OrderNo,
                                         1)) return false;
 
                 return true;
@@ -182,7 +183,7 @@
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckProcessPetition(int ConstructionCode, int ApprovalCode, int ApprovalCount)
+        public static bool CheckProcessPetition(int ConstructionCode, int ApprovalCode, int OrderNo)
         {
             IOProcessApproval ApprDB = new IOProcessApproval();
             try
@@ -189,7 +190,7 @@
             {
                 bool bPetition = false;
                 // 申請データ取得
-                string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, ApprovalCount, 1);
+                string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, 1);
                 List<ProcessApproval> PetitionList = new List<ProcessApproval>();
                 if (!ApprDB.SelectAction(strSQL, ref PetitionList)) return bPetition;
                 // 申請データが無い場合
@@ -216,7 +217,7 @@
         /// <param name="PersonCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckPersonPetition(int PersonCode, int ApprovalCode, DateTime ApprovalDate)
+        public static bool CheckPersonPetition(int PersonCode, int ApprovalCode, DateTime ApprovalDate, int OrderNo)
         {
             IOPersonApproval ApprDB = new IOPersonApproval();
             try
@@ -223,7 +224,7 @@
             {
                 bool bPetition = false;
                 // 申請データ取得
-                string strSQL = ApprDB.CreatePrimarykeyString(PersonCode, ApprovalCode, ApprovalDate, 1);
+                string strSQL = ApprDB.CreatePrimarykeyString(PersonCode, ApprovalCode, ApprovalDate, OrderNo);
                 List<PersonApproval> PetitionList = new List<PersonApproval>();
                 if (!ApprDB.SelectAction(strSQL, ref PetitionList)) return bPetition;
                 // 申請データが無い場合
@@ -285,13 +286,13 @@
         /// <param name="PersonCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckPersonApproval(int PersonCode, int ApprovalCode, DateTime ApprovalDate)
+        public static bool CheckPersonApproval(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo)
         {
             IOPersonApproval ApprDB = new IOPersonApproval();
             try
             {
                 // 承認データを取得する（申請データを除く）
-                string strData = ApprDB.CreatePrimarykeyString(PersonCode, ApprovalCode, ApprovalDate, 1);
+                string strData = ApprDB.CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, 1);
                 PersonApproval DataRec = new PersonApproval();
                 if (!ApprDB.SelectAction(strData, ref DataRec)) return false;
 
@@ -397,7 +398,7 @@
         /// <param name="PersonCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckPersonApprovalData(int PersonCode, int ApprovalCode, DateTime OrderDate)
+        public static bool CheckPersonApprovalData(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo)
         {
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
             IOMApproval mApprDB = new IOMApproval();
@@ -409,8 +410,9 @@
                 // 承認データを取得する（申請データを除く）
                 string strSQL = "SELECT A.DISPLAYORDER, A.APPROVALPERSON, A.APPROVALAUTHORITY, B.SEQNO, B.APPROVALSTATUS";
                 strSQL += " FROM APPROVALMASTER A";
-                strSQL += " LEFT JOIN PERSONAPPROVAL B ON B.PERSONCODE = A.APPROVALPERSON AND B.APPROVALCODE = A.APPROVALCODE";
-                strSQL += string.Format(" AND B.ORDERDATE = TO_DATE('{0}') AND B.SEQNO != 1", OrderDate);
+                strSQL += " LEFT JOIN PERSONAPPROVAL B ON B.PERSONCODEAPPROVAL = A.APPROVALPERSON AND B.APPROVALCODE = A.APPROVALCODE";
+                strSQL += string.Format(" AND B.ORDERDATE = TO_DATE('{0}')", OrderDate.ToShortDateString());
+                strSQL += string.Format(" AND B.ORDERNO = {0} AND B.SEQNO != 1", OrderNo);
                 strSQL += string.Format(" WHERE A.APPROVALCODE = {0}", ApprovalCode);
                 strSQL += " AND A.DEPARTMENTCODE = (SELECT C.DEPARTMENTCODE FROM PERSONINCHARGEMASTER C";
                 strSQL += string.Format(" WHERE C.PERSONCODE = {0})", PersonCode);
@@ -611,7 +613,7 @@
         /// 担当者コードと承認機能コードより現在管理担当部署コードを取得する
         /// </summary>
         /// <returns></returns>
-        public static int GetFromPersonAndApprovalTheDepartment(int PersonCode, int ApprovalCode, DateTime OrderDate)
+        public static int GetFromPersonAndApprovalTheDepartment(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo)
         {
             IOMPersonInCharge picDB = new IOMPersonInCharge();
             IOPersonApproval ApprovalDB = new IOPersonApproval();
@@ -618,7 +620,7 @@
             try
             {
                 // 管理担当者コードを取得する
-                string strSQL = ApprovalDB.CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, 1);
+                string strSQL = ApprovalDB.CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, 1);
                 PersonApproval ApprovalRec = new PersonApproval();
                 int CurrentPersonCode = 0;
                 if (ApprovalDB.SelectAction(strSQL, ref ApprovalRec))
@@ -627,8 +629,8 @@
                 }
                 else
                 {
-                    // データが無い場合（申請時）はログインユーザー
-                    CurrentPersonCode = CommonMotions.LoginUserData.PersonCode;
+                    // データが無い場合（申請時）は申請ユーザー
+                    CurrentPersonCode = PersonCode;
                 }
 
                 // 担当者部署取得
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 54)
@@ -103,7 +103,7 @@
             IOPurchaseOrderDetail DB18 = new IOPurchaseOrderDetail();               // 注文書明細データ
 
             IOProceedingsData DB19 = new IOProceedingsData();                       // 発注者打ち合わせ議事録データ
-            IOProceedingsDataAttendee DB20 = new IOProceedingsDataAttendee();       // 発注者打ち合わせ議事録データ（出席者）
+            IOProceedingsDataAttend DB20 = new IOProceedingsDataAttend();       // 発注者打ち合わせ議事録データ（出席者）
             IOProceedingsDataDetail DB21 = new IOProceedingsDataDetail();           // 発注者打ち合わせ議事録データ（明細）
             IODailyDataConstruction DB22 = new IODailyDataConstruction();           // 日報データ
             IODailyDataDetail DB23 = new IODailyDataDetail();                       // 日報データ (明細)
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 54)
@@ -159,18 +159,21 @@
                                                                                 { (int)ProcessExecuteNo.DRList,                 "工事日報－一覧"},
                                                                                 { (int)ProcessExecuteNo.DRConstruction,         "工事日報－入力"},
                                                                                 { (int)ProcessExecuteNo.Proceedings,            "打合せ議事録－入力"},
-                                                                                { (int)ProcessExecuteNo.MaterialList,           "資材入力"},
-                                                                                { (int)ProcessExecuteNo.MaterialReserveEntry,   "資材貸出"},
-                                                                                { (int)ProcessExecuteNo.MaterialReturnEntry,    "資材返却"},
+                                                                                { (int)ProcessExecuteNo.DRWork,                 "出勤日報－入力"},
+                                                                                { (int)ProcessExecuteNo.PurchaseOrderStatus,    "注文書発給一覧－表示"},
+                                                                                { (int)ProcessExecuteNo.OrderJoin,              "工事結合－入力"},
+                                                                                { (int)ProcessExecuteNo.ConstructionSplit,      "工事分割－入力"},
+                                                                                { (int)ProcessExecuteNo.PersonApprovalList,     "担当者承認一覧－表示"},
+                                                                                { (int)ProcessExecuteNo.MaterialList,           "資材入力－入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialHistory,        "資材履歴画面－表示"},
+                                                                                { (int)ProcessExecuteNo.MaterialCountEntry,     "資材数変更画面－入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialReserveEntry,   "資材貸出－入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialReturnEntry,    "資材返却－入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialSelect,         "資材選択－入力"},
                                                                                 { (int)ProcessExecuteNo.RequestSummaryList,     "請求まとめ"},
                                                                                 { (int)ProcessExecuteNo.PaymentConfirmation,    "入金確認"},
                                                                                 { (int)ProcessExecuteNo.RequestInput,           "請求入力"},
-                                                                                { (int)ProcessExecuteNo.RequestPrint,           "請求書印刷"},
-                                                                                //{ (int)ProcessExecuteNo.DailyReportList,        "出勤日報－入力"},
-                                                                                //{ (int)ProcessExecuteNo.PurchaseOrderStatus,    "注文書発給状況－一覧"},
-                                                                                //{ (int)ProcessExecuteNo.OrderJoin,              "工事結合－入力"},
-                                                                                //{ (int)ProcessExecuteNo.ConstructionSplit,      "工事分割－入力"},
-                                                                                //{ (int)ProcessExecuteNo.DRTransport,            "通勤交通費－入力"},
+                                                                                { (int)ProcessExecuteNo.RequestPrint,           "請求書印刷"}
         };
 
         #endregion
@@ -247,8 +250,12 @@
             /// </summary>
             DRConstructionApproval,
             /// <summary>
-            /// 7:出勤日報承認
+            /// 7:議事録承認
             /// </summary>
+            DRProceedingsApproval,
+            /// <summary>
+            /// 8:出勤管理承認
+            /// </summary>
             DRWorkApproval,
         }
         #endregion
@@ -285,7 +292,7 @@
                                                                                 {5, "請求書承認"},
                                                                                 {6, "工事日報承認"},
                                                                                 {7, "議事録承認"},
-                                                                                {8, "質疑承認"},
+                                                                                {8, "出勤管理承認"},
                                                                                 };
 
         #endregion
@@ -294,19 +301,40 @@
         /// <summary>
         /// 承認種別カラーテーブル(承認処理定義と同じ並び)
         /// </summary>
+        //public static Color[] ApprovalTypeColorList = new Color[]{  Color.White,
+        //                                                            Color.RoyalBlue,
+        //                                                            Color.DarkOrange,
+        //                                                            Color.IndianRed,
+        //                                                            Color.Gray,
+        //                                                            Color.Chartreuse,
+        //                                                            Color.SpringGreen,
+        //                                                            Color.SlateGray,
+        //                                                            Color.LightSeaGreen,
+        //                                                            Color.SteelBlue,
+        //                                                            Color.LawnGreen,
+        //                                                            Color.DarkViolet,
+        //                                                            Color.MediumVioletRed,
+        //                                                            Color.MediumSeaGreen,
+        //                                                            };
         public static Color[] ApprovalTypeColorList = new Color[]{  Color.White,
                                                                     Color.RoyalBlue,
                                                                     Color.DarkOrange,
                                                                     Color.IndianRed,
-                                                                    Color.Gray,
+                                                                    Color.SlateGray,
                                                                     Color.Chartreuse,
-                                                                    Color.SpringGreen,
-                                                                    Color.SlateGray,
+                                                                    Color.SteelBlue,
                                                                     Color.LightSeaGreen,
-                                                                    Color.SteelBlue,
-                                                                    Color.LawnGreen,
                                                                     Color.DarkViolet,
+                                                                    Color.MediumVioletRed,
+                                                                    Color.MediumSeaGreen,
+                                                                    Color.Chocolate,
+                                                                    Color.DarkGoldenrod,
+                                                                    Color.OrangeRed,
+                                                                    Color.DimGray,
+                                                                    Color.LimeGreen,
+                                                                    Color.Crimson,
                                                                     };
+
         #endregion
 
         #region 変数
@@ -551,6 +579,7 @@
                         case (int)SubFormExecuteNo.ApprovalScreen:                      // 205:承認画面
                             SubFormExecuteNo_ApprovalScreen(m_ProcControlPara[NowPoint]);
                             break;
+
                         case (int)SubFormExecuteNo.ApprovalPerson:                      // 209:担当者承認画面
                             SubFormExecuteNo_ApprovalPerson(m_ProcControlPara[NowPoint]);
                             break;
@@ -1329,7 +1358,8 @@
 
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
-                frm.PersonCode = CurrentPara.IntExecParameter[1];
+                frm.OrderNo = CurrentPara.IntExecParameter[1];
+                frm.PersonCode = CurrentPara.IntExecParameter[2];
                 frm.CreateData = CurrentPara.BoolExecParameter[0];
 
                 // フォーム表示
@@ -1374,6 +1404,9 @@
 
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
+                frm.OrderNo = CurrentPara.IntExecParameter[1];
+                frm.PersonCode = CurrentPara.IntExecParameter[2];
+                frm.CreateData = CurrentPara.BoolExecParameter[0];
 
                 // フォーム表示
                 frm.ShowDialog();
@@ -1611,16 +1644,20 @@
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
                 // 起動・編集フラグ
-                //int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
-                //if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
-                //{
-                //    BackProcess();
-                //    return;
-                //}
-                //if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
                 // パラメータセット
-                frm.PersonCode = CurrentPara.IntExecParameter[1];
+                frm.PersonCode = CurrentPara.IntExecParameter[0];
+                if (CurrentPara.StringExecParameter.Count > 0)
+                {
+                    frm.OrdertDate = CommonMotions.cnvDate(CurrentPara.StringExecParameter[0]);
+                }
 
                 // フォーム表示
                 frm.ShowDialog();
@@ -2644,11 +2681,8 @@
             {
                 frm.PersonCode = CurrentPara.IntExecParameter[0];
                 frm.ApprovalCode = CurrentPara.IntExecParameter[1];
+                frm.OrderNo = CurrentPara.IntExecParameter[2];
                 frm.OrderDate = CommonMotions.cnvDate(CurrentPara.StringExecParameter[0]);
-                for (int i = 3; i < CurrentPara.IntExecParameter.Count; i++)
-                {
-                    frm.PurchaseOrderSeqNo.Add(CurrentPara.IntExecParameter[i]);
-                }
 
                 // フォーム表示
                 frm.ShowDialog();
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceDailyData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceDailyData.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceDailyData.cs	(revision 54)
@@ -46,9 +46,9 @@
             /// </summary>
             SeqNo,
             /// <summary>
-            /// 工事番号
+            /// 行動実績
             /// </summary>
-            ConstructionCode,
+            ActionResult,
             /// <summary>
             /// 残業時間
             /// </summary>
@@ -92,7 +92,7 @@
             strcmd += "  PersonCode";                                       // 担当者コード
             strcmd += " ,TO_CHAR(AttendanceDate, 'YYYY/MM/DD')";            // 日報作成日
             strcmd += " ,SeqNo";                                            // 明細行番号
-            strcmd += " ,ConstructionCode";                                 // 工事番号
+            strcmd += " ,ActionResult";                                     // 行動実績
             strcmd += " ,OvertimeHours";                                    // 残業時間
             strcmd += " ,WorkingComment";                                   // コメント
             strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";      // 登録年月日
@@ -183,7 +183,7 @@
                 strcmd += "  (PersonCode";      // 担当者コード
                 strcmd += " ,AttendanceDate";   // 日報作成日
                 strcmd += " ,SeqNo";            // 明細行番号
-                strcmd += " ,ConstructionCode"; // 工事番号
+                strcmd += " ,ActionResult"; // 行動実績
                 strcmd += " ,OvertimeHours";    // 残業時間
                 strcmd += " ,WorkingComment";   // コメント
                 strcmd += " ,EntryDate";        // 登録年月日
@@ -195,7 +195,7 @@
                 strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
                                             , work.AttendanceDate.ToShortDateString()); // 日報作成日
                 strcmd += string.Format(", {0}", work.SeqNo);                           // 明細行番号
-                strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
+                strcmd += string.Format(",'{0}'", work.ActionResult);                   // 行動実績
                 strcmd += string.Format(", {0}", work.OvertimeHours);                   // 残業時間
                 strcmd += string.Format(",'{0}'", work.WorkingComment);                 // コメント
 
@@ -256,7 +256,7 @@
                 strcmd += string.Format(",AttendanceDate = TO_DATE('{0}','YYYY/MM/DD')"
                                         , data.AttendanceDate.ToShortDateString());             // 日報作成日
                 strcmd += string.Format(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
-                strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                strcmd += string.Format(",ActionResult = '{0}'", data.ActionResult);            // 行動実績
                 strcmd += string.Format(",OvertimeHours = {0}", data.OvertimeHours);            // 残業時間
                 strcmd += string.Format(",WorkingComment = '{0}'", data.WorkingComment);        // コメント
                 
@@ -306,7 +306,7 @@
         /// <summary>
         /// 1項目の更新を行う
         /// </summary>
-        /// <param name="ConstructionCode"></param>
+        /// <param name="ActionResult"></param>
         /// <param name="FeildNo"></param>
         /// <param name="value"></param>
         /// <param name="bConnect"></param>
@@ -330,8 +330,8 @@
                     case (int)DataColumn.SeqNo:
                         strcmd += string.Format(" SeqNo = {0}", (int)value);
                         break;
-                    case (int)DataColumn.ConstructionCode:
-                        strcmd += string.Format(" ConstructionCode = {0}", (int)value);
+                    case (int)DataColumn.ActionResult:
+                        strcmd += string.Format(" ActionResult = '{0}'", value.ToString());
                         break;
                     case (int)DataColumn.OvertimeHours:
                         strcmd += string.Format(" OvertimeHours = {0}", (double)value);
@@ -370,7 +370,7 @@
                 wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
                 wrk.AttendanceDate = DateTime.Parse(objwrk[(int)DataColumn.AttendanceDate].ToString());     // 日報作成日
                 wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // 明細行番号
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.ActionResult = objwrk[(int)DataColumn.ActionResult].ToString();                         // 行動実績
                 wrk.OvertimeHours = double.Parse(objwrk[(int)DataColumn.OvertimeHours].ToString());         // 残業時間
                 wrk.WorkingComment = objwrk[(int)DataColumn.WorkingComment].ToString();                     // 当日作業内容
                 
